import React from 'react'
import { LoginForm } from 'components';
import { GoogleLogin } from 'react-google-login';

const AuthPage = () => {
    const responseGoogle = (response: any) => {
        // console.log(response)
        // console.log(response.profileObj);
        // console.log(response.tokenObj);

        const {email, familyName:lastName, givenName:firstName, googleId, imageUrl} = response.profileObj;
        return ({
            email,
            firstName,
            lastName,
            googleId,
            imageUrl
        })
    }

    return (
        <div>
            <GoogleLogin
                clientId="925243198137-hhe2e3ejlethf321hh7tbm7ontc19cpj.apps.googleusercontent.com"
                buttonText="Login"
                onSuccess={responseGoogle}
                onFailure={responseGoogle}
                cookiePolicy={'single_host_origin'}
            />
        </div>
    )
}

export default AuthPage

/*
Google Successful OAuth response (The parts we want to keep, anyway):
response => 
    response.profileObj = {
        email: "kkaminski@nisum.com",
        familyName: "Kaminski",
        givenName: "Kevin",
        googleId: "104324023295177405903",
        imageUrl: "https://lh3.googleusercontent.com/a/AATXAJymxbs98AGxOFCVUCpV9pEwpxx1JWR6XZqKXe8b=s96-c",
        name: "Kevin Kaminski"
    }

    response.tokenObj = {
        access_token: "ya2...LCe",
        expires_at: 1620238821414,
        expires_in: 3599,
        first_issued_at: 1620235222414,
        id_token: "eyJhbGciOiJSUzI1NiIs...yXc6HOG97FF6eF1AU0Oh8w",
        idpId: "google",
        login_hint: "AJDLj6J...RcffTyHTSIHVKSQ",
        scope: "email profile https://www.googleapis.com/auth/userinfo.email openid https://www.googleapis.com/auth/userinfo.profile",
        session_state: {
            extraQueryParams: {
                authuser: 2
            }
        },
        token_type: "bearer"
    }


*/
